package com.jiayue.ipp.common.data.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jiayue.ipp.common.mybatis.base.NotLogicBaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * idp_wind_turbine_status_data
 *
 * @author whc
 * @date 2022-03-18 15:50:07
 */
@Data
@TableName("idp_wind_turbine_status_data")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "idp_wind_turbine_status_data")
public class WindTurbineStatusData extends NotLogicBaseEntity<WindTurbineStatusData> {
    private static final long serialVersionUID = 1L;


    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "主键ID")
    private String id;


    /**
     * 设备主键ID
     */
    @ApiModelProperty(value = "设备主键ID")
    private String equipmentId;


    /**
     * 状态值为1代表运行，2代表待机，3代表停用，4代表故障
     */
    @ApiModelProperty(value = "状态值为1代表运行，2代表待机，3代表停用，4代表故障")
    private String status;


    /**
     * 时间
     */
    @ApiModelProperty(value = "时间")
    private Date time;


    /**
     * 备用字段1
     */
    @ApiModelProperty(value = "备用字段1")
    private BigDecimal data1 = new BigDecimal(-99);


    /**
     * 备用字段2
     */
    @ApiModelProperty(value = "备用字段2")
    private BigDecimal data2 = new BigDecimal(-99);


    /**
     * 备用字段3
     */
    @ApiModelProperty(value = "备用字段3")
    private BigDecimal data3 = new BigDecimal(-99);


    /**
     * 备用字段4
     */
    @ApiModelProperty(value = "备用字段4")
    private BigDecimal data4 = new BigDecimal(-99);


    /**
     * 备用字段5
     */
    @ApiModelProperty(value = "备用字段5")
    private BigDecimal data5 = new BigDecimal(-99);


    /**
     * 备用字段6
     */
    @ApiModelProperty(value = "备用字段6")
    private BigDecimal data6 = new BigDecimal(-99);


    /**
     * 备用字段7
     */
    @ApiModelProperty(value = "备用字段7")
    private BigDecimal data7 = new BigDecimal(-99);


    /**
     * 备用字段8
     */
    @ApiModelProperty(value = "备用字段8")
    private BigDecimal data8 = new BigDecimal(-99);


    /**
     * 备用字段9
     */
    @ApiModelProperty(value = "备用字段9")
    private BigDecimal data9 = new BigDecimal(-99);


    /**
     * 备用字段10
     */
    @ApiModelProperty(value = "备用字段10")
    private BigDecimal data10 = new BigDecimal(-99);


    /**
     * 有功（KW）
     */
    @ApiModelProperty(value = "有功（KW）")
    private BigDecimal activePower = new BigDecimal(-99);


    /**
     * 无功（KVar）
     */
    @ApiModelProperty(value = "无功（KVar）")
    private BigDecimal reactivePower = new BigDecimal(-99);


    /**
     * 功率因数
     */
    @ApiModelProperty(value = "功率因数")
    private BigDecimal powerFactor = new BigDecimal(-99);


    /**
     * 电压（V）
     */
    @ApiModelProperty(value = "电压（V）")
    private BigDecimal voltage = new BigDecimal(-99);


    /**
     * 电流（A）
     */
    @ApiModelProperty(value = "电流（A）")
    private BigDecimal electricalCurrent = new BigDecimal(-99);


    /**
     * 当日发电量（kW·h）
     */
    @ApiModelProperty(value = "当日发电量（kW·h）")
    private BigDecimal dayElectricQuantity = new BigDecimal(-99);


    /**
     * 当日并网小时
     */
    @ApiModelProperty(value = "当日并网小时")
    private BigDecimal dayGridConnectedHours = new BigDecimal(-99);


    /**
     * 转速（rpm）
     */
    @ApiModelProperty(value = "转速（rpm）")
    private BigDecimal windWheelRatedSpeed = new BigDecimal(-99);


    /**
     * 风速（m/s）
     */
    @ApiModelProperty(value = "风速（m/s）")
    private BigDecimal ws = new BigDecimal(-99);


    /**
     * 风向（°）
     */
    @ApiModelProperty(value = "风向（°）")
    private BigDecimal wd = new BigDecimal(-99);


    /**
     * 温度（℃）
     */
    @ApiModelProperty(value = "温度（℃）")
    private BigDecimal t = new BigDecimal(-99);


    /**
     * 桨距角（°）
     */
    @ApiModelProperty(value = "桨距角（°）")
    private BigDecimal pitchAngle = new BigDecimal(-99);


    /**
     * 累积发电量（MW·h）
     */
    @ApiModelProperty(value = "累积发电量（MW·h）")
    private BigDecimal cumulativeGeneratedEnergy = new BigDecimal(-99);


}
